> For the complete documentation index, see [llms.txt](https://docs.jetadmin.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.jetadmin.io/user-guide/integrations/rest-api/basic-authentication.md).

# Basic Authentication

To enable **Basic Authentication** schemes, choose Basic Auth in the **Authentication** dropdown, and then provide the username and password.

![](/files/-MEF0xskiG5S2ER9ac6l)

This is most commonly called **Username/Password** or just **Basic**. If you see the word basic around an authentication section, then you should use this type.

Most of the time, you just put in the username and password that you have for this service, and they use it to authentication you.

Sometimes, an API may tell you to send your API key as a username or a password or both. In this case, put the API key in the appropriate field, and if the other is not mentioned, leave it blank.

Many times, if the API docs are showing you a cURL example, you will see something like this (let's go through the Stripe API example):

```markup
curl https://api.stripe.com/v1/charges \
  -u sk_test_W6QCMUNIMOQMaBlZPNPDBFMG00hTMhVJbr: \
  -d limit=3 \
  -G
```

Notice there is the URL, followed by:

`-u sk_test_W6QCMUNIMOQMaBlZPNPDBFMG00hTMhVJbr:`

That is what tips you off that this is Basic Auth. The **-u** part signifies Basic Auth, and then the colon at the end tells you this is being sent as a username. In normal Basic Auth, you send the username and password in the following format **username : password** so if you see a **-u** then you know that anything to left of the colon is the username and to the right is the password. In this example, the API key is sent as a username.

{% content-ref url="/pages/-MAARNCnpjDL0xKCL8Pp" %}
[Making API requests](/user-guide/data/make-an-http-request.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.jetadmin.io/user-guide/integrations/rest-api/basic-authentication.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
